summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKacper Kowalik <xarthisius@gentoo.org>2016-09-19 13:50:30 -0500
committerKacper Kowalik <xarthisius@gentoo.org>2016-09-19 13:50:30 -0500
commitf96b52221f27e85c96e25a1da208635269b5a932 (patch)
treeb6fe6f95a94cfcce5597f23278a74e374ab53e5a /sci-libs/hdf5
parentmedia-libs/gnonlin: Make DESCRIPTION shorter (diff)
downloadgentoo-f96b52221f27e85c96e25a1da208635269b5a932.tar.gz
gentoo-f96b52221f27e85c96e25a1da208635269b5a932.tar.bz2
gentoo-f96b52221f27e85c96e25a1da208635269b5a932.zip
sci-libs/hdf5: version bump
Package-Manager: portage-2.2.28
Diffstat (limited to 'sci-libs/hdf5')
-rw-r--r--sci-libs/hdf5/Manifest1
-rw-r--r--sci-libs/hdf5/hdf5-1.8.17.ebuild104
2 files changed, 105 insertions, 0 deletions
diff --git a/sci-libs/hdf5/Manifest b/sci-libs/hdf5/Manifest
index c97b11d81cc..c2a1a589d37 100644
--- a/sci-libs/hdf5/Manifest
+++ b/sci-libs/hdf5/Manifest
@@ -1,2 +1,3 @@
DIST hdf5-1.8.14.tar.bz2 9503743 SHA256 53722cb9f5977af2908f92fc1a3f8c597800a5cb448cfe5c75060d6335bb9bab SHA512 c4f0bb01df7bef9cd29c42ec2e27f4bd27c3e059cf18f1285c583e92b94ef799f8a29ec85c17bab12e47a69626851fbda4b8d74543266b01aa2cffc42cde4fea WHIRLPOOL 646d44d446e2bd2855567046ca00f302e02d39880a77f2d75fd6231ad74692c07910c8670ffa5e02f2922e4e28c5a4afd06f907ac5950615dd328c3e7346f578
DIST hdf5-1.8.15-patch1.tar.bz2 10006036 SHA256 a5afc630c4443547fff15e9637b5b10404adbed4c00206d89517d32d6668fb32 SHA512 380c06f3cab469351d6ddc940c7cdffd5bd20a74e69cb4d549989bec5f130dadae11c04928ead7eea0200a175fc45a042d068a752d8a9c19a35c3a6912a147bd WHIRLPOOL 0c4c918eea3b70a2c4dea2098f24ddb612af6bf026749144dae19380f60de9d4123acd3c4bf324a1a313e4fae1d7874de48afd9e6720bbcc3c4f1fb1c1bc0288
+DIST hdf5-1.8.17.tar.bz2 10030234 SHA256 fc35dd8fd8d398de6b525b27cc111c21fc79795ad6db1b1f12cb15ed1ee8486a SHA512 b0fe630b98a83470c48443215b7073fd22c4390cc459127a4c9554682ae8aec215017c7f34adb8494da4b31fabe6580e9d1b63eddb949432d595e99705c0bbd1 WHIRLPOOL 64e508df74aca518be918dbac10db653004f254779e413ee501a7d550892e6baaa56a0891af28a88d419fa06aa3b06a3c213f45e99b7e2bafc7a9d98e9fe4337
diff --git a/sci-libs/hdf5/hdf5-1.8.17.ebuild b/sci-libs/hdf5/hdf5-1.8.17.ebuild
new file mode 100644
index 00000000000..1a01978ef31
--- /dev/null
+++ b/sci-libs/hdf5/hdf5-1.8.17.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+AUTOTOOLS_AUTORECONF=1
+
+inherit autotools-utils eutils fortran-2 flag-o-matic toolchain-funcs multilib
+
+MY_P=${PN}-${PV/_p/-patch}
+
+DESCRIPTION="General purpose library and file format for storing scientific data"
+HOMEPAGE="http://www.hdfgroup.org/HDF5/"
+SRC_URI="http://www.hdfgroup.org/ftp/HDF5/releases/${MY_P}/src/${MY_P}.tar.bz2"
+
+LICENSE="NCSA-HDF"
+SLOT="0/${PV%%_p*}"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="cxx debug examples fortran fortran2003 mpi static-libs szip threads zlib"
+
+REQUIRED_USE="
+ cxx? ( !mpi ) mpi? ( !cxx )
+ threads? ( !cxx !mpi !fortran )
+ fortran2003? ( fortran )"
+
+RDEPEND="
+ mpi? ( virtual/mpi[romio] )
+ szip? ( virtual/szip )
+ zlib? ( sys-libs/zlib:0= )"
+
+DEPEND="${RDEPEND}
+ sys-devel/libtool:2
+ >=sys-devel/autoconf-2.69"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.8.9-static_libgfortran.patch
+ "${FILESDIR}"/${PN}-1.8.9-mpicxx.patch
+ "${FILESDIR}"/${PN}-1.8.13-no-messing-ldpath.patch
+ "${FILESDIR}"/${PN}-1.8.15-implicits.patch
+)
+
+pkg_setup() {
+ tc-export CXX CC AR # workaround for bug 285148
+ if use fortran; then
+ use fortran2003 && FORTRAN_STANDARD=2003
+ fortran-2_pkg_setup
+ fi
+ if use mpi; then
+ if has_version 'sci-libs/hdf5[-mpi]'; then
+ ewarn "Installing hdf5 with mpi enabled with a previous hdf5 with mpi disabled may fail."
+ ewarn "Try to uninstall the current hdf5 prior to enabling mpi support."
+ fi
+ export CC=mpicc
+ use fortran && export FC=mpif90
+ elif has_version 'sci-libs/hdf5[mpi]'; then
+ ewarn "Installing hdf5 with mpi disabled while having hdf5 installed with mpi enabled may fail."
+ ewarn "Try to uninstall the current hdf5 prior to disabling mpi support."
+ fi
+}
+
+src_prepare() {
+ # respect gentoo examples directory
+ sed \
+ -e "s:hdf5_examples:doc/${PF}/examples:g" \
+ -i $(find . -name Makefile.am) $(find . -name "run*.sh.in") || die
+ sed \
+ -e '/docdir/d' \
+ -i config/commence.am || die
+ if ! use examples; then
+ sed -e '/^install:/ s/install-examples//' \
+ -i Makefile.am || die #409091
+ fi
+ # enable shared libs by default for h5cc config utility
+ sed -i -e "s/SHLIB:-no/SHLIB:-yes/g" tools/misc/h5cc.in || die
+ # bug #419677
+ use prefix && \
+ append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir) \
+ -Wl,-rpath,"${EPREFIX}"/$(get_libdir)
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --enable-production
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ --enable-deprecated-symbols
+ $(use_enable prefix sharedlib-rpath)
+ $(use_enable debug debug all)
+ $(use_enable debug codestack)
+ $(use_enable cxx)
+ $(use_enable fortran)
+ $(use_enable fortran2003)
+ $(use_enable mpi parallel)
+ $(use_enable threads threadsafe)
+ $(use_with szip szlib)
+ $(use_with threads pthread)
+ $(use_with zlib)
+ )
+ autotools-utils_src_configure
+}